Overview

Window Tracker v1.6

by: ICPO

Window Tracker was designed for the sole purpose of making web-browsing easier, faster, and less annoying. Please select a topic from the menu on the left, and press the expand button ( wpe3.jpg (734 bytes)) to view more topics.

wpe7.jpg (18527 bytes)

Window Tracker is a program that will automatically close any windows that are in it's window list. This is useful because many of the sites on the internet have windows that appear and display ads that you may not want to see.

Window Tracker also searches for partial titles. So, if you had "the best site" in the window list, Window Tracker would close "This is the best site on the internet".

Window Tracker's window scanner is not case-sensitive, this means that (to Window Tracker) "This is the best site on the internet" is equal to "This is the BEST site on the internet."

Most functions are available in the options menu and by use of the system tray icon.


How to use the main interface

This is the main interface for Window Tracker 1.6

index.2.jpg (18527 bytes)

  • File Menu:

wpe9.jpg (8141 bytes)

Through the file menu you can: Import a window list, Export your current window list, and close Window Tracker.

  • Options Menu:

wpeA.jpg (7660 bytes)

In the options menu each of the items will open the Options Dialog and set the proper tab active.

  • Status Menu:

wpe9.jpg (8404 bytes)

In this menu you can enable or disable Window Tracker's window scanning. If Window Tracker is disabled it will not close windows for you.

  • Help Menu:

wpeC.jpg (6922 bytes)

With the help menu you can either open this help file, or show the about dialog.

Buttons: wpeD.jpg (2972 bytes)

  • Add New Item Button:

This button opens the add new item dialog, it is used for adding new windows to the window list.

  • Edit Button:

This button is used to edit a current entry. This option can also be activated by double clicking on an item in the window list.

  • Refresh List Button:

This button will re-load the main window list.

  • Remove Item Button:

This button will remove the selected item from the window list.

  • Status Bar:

wpeE.jpg (4234 bytes)

The status bar shows if Window Tracker is currently Enabled or Disabled. The status is also shown by the system tray icon.

  • System Tray Icon:

wpeF.jpg (2777 bytes)

The system tray icon for Window Tracker shows the current status of Window Tracker and displays an operation menu when right-clicked on. When you double click on the icon it brings up the main window. When you right click on Window Tracker's icon in the system tray, this menu appears:

  • Taskbar Target:

wpeA.jpg (1480 bytes)

The Taskbar Target is a shortcut for adding windows to the window list. When you click it, with the left mouse button, a message box will appear and ask if you want to add the current window to the window list. If you press Yes, it will, otherwise it will disregard the click. The Taskbar Target, when clicked, asks to add the currently "active" window. The picture below shows the difference between active and inactive windows.

wpe9.jpg (19074 bytes)

The active window is usually the one "On Top" of all the others, and is usually highlighted. Window Tracker will only display the question if the there is a currently active window, and the active window is a valid one. You can either disable the Taskbar through the right click menu or the options dialog.

  • Right-Click Menu:

This menu appears when you right click the main Window Tracker system tray icon.

wpeC.jpg (3181 bytes)

Each of these selections will operate Window Tracker.


How to use the options dialog

On Startup Tab:

The "Initial state" option determines whether Window Tracker should startup enabled or disabled. If the "Start-up with Windows" box is checked then Window Tracker will automatically start when you start your computer. If the "Start Minimized to Tray" box is checked, then when Window Tracker is started it will be hidden, you can open it by double clicking the system tray icon. You can enable or disable the Splash Screen, or Taskbar Target here also.

wpe1.jpg (9383 bytes)

The Sounds Tab:

If the box is checked on this tab then Window Tracker will play a sound whenever it closes a window. You can select a sound by using the "Browse for sound button"

wpe2.jpg (8515 bytes)

If you press the Browse button then the dialog below will appear for you to select a sound located on your hard drive.

wpe1A.jpg (29279 bytes)

Note: The Open dialog may look different on you computer, these screen shots are from Windows2000.

The Listicon Tab:

On this page you can select what icon you want Windows to display for .wnl files

wpe3.jpg (10089 bytes)


How to add a new item

If you press the Add New Item button or select it from the pop-up menu, the window below will appear.

wpeA.jpg (19107 bytes)

There are four different ways to add a new item to the window list:

The TaskBar Target:

The Taskbar Target is a shortcut for adding windows to the window list. When you click it, with the left mouse button, a message box will appear and ask if you want to add the current window to the window list. If you press Yes, it will, otherwise it will disregard the click. The Taskbar Target, when clicked, asks to add the currently "active" window.

The Target:

To use the target, click and hold it, then drag the crosshair cursor to the title bar of the window you want to add to the list. After that, check to make sure you have the right one by looking at the text in the custom title box, if so press add.

The Custom Box:

Type a custom title in the text box, or edit a selected one.

And, the list:

Select a window from the list box.


How to edit an entry

When you press the edit button on the main dialog or double click an item in the window list, the Edit entry window (below) will appear.

wpe9.jpg (6123 bytes)

Edit the current text and press "Apply Changes".

Note: Window Tracker searches for partial text.......It is not recommended to add short titles like "the" or "and" or "sponsor" because Window Tracker would close the windows that say:

"This is the......" or

"Bob and Jill" or

"Please select a sponsor"

The more specific you are, the smaller the chance that window tracker will close a window you do not intend to close.


How to Export a Window List

To Export your current window list:

Bring up the File Menu and select "Export Window List"

main.h2.jpg (8101 bytes)

Then, type in a file name and press save.

wpe14.jpg (23498 bytes)

Note: The Save As dialog may look different on you computer, these screen shots are from Windows2000.


How to Import a Window list

To import a window list:

Bring up the file menu and select "Import Window List"

main.h2.jpg (8101 bytes)

Then locate the *.wnl file and select it, then press open.

wpe15.jpg (22117 bytes)

If there are no errors, and the entries you are trying to import are not already in the window list, you should see your new items.

Note: The Open dialog may look different on you computer, these screen shots are from Windows2000.


The About Dialog

The about dialog shows info about the author, people who helped with Window Tracker, and the current build number.

wpe4.jpg (20694 bytes)


The Splash Screen

This is the splash screen. It will appear for about 5 seconds, and show information about the program.

wpeA.jpg (12050 bytes)